- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_cursor_t

# mongoc_cursor_get_host()

## Synopsis

    void
    mongoc_cursor_get_host (mongoc_cursor_t *cursor, mongoc_host_list_t *host);

## Parameters

- `cursor`: A mongoc_cursor_t.
- `host`: A mongoc_host_list_t.

## Description

Fetches the MongoDB host that the cursor is communicating with in the `host` out parameter.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.